/*
 *  2009 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2009 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 12/05/2009
 */
/**
 * 
 */
package com.ihr.xbrl.sample;

import java.net.URI;
import java.net.URISyntaxException;

import javax.xml.namespace.QName;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XBRL;
import com.ihr.xbrl.om.errors.DTSDiscoveryException;
import com.ihr.xbrl.om.errors.XBRLInconsistentDTSException;
import com.ihr.xbrl.om.errors.XBRLSerializationException;
import com.ihr.xbrl.om.taxonomy.XBRLItem;
import com.ihr.xbrl.om.taxonomy.XBRLTaxonomy;
import com.ihr.xbrl.om.taxonomy.XBRLXSDTypeDefinition;
import com.ihr.xbrl.om.taxonomy.XMLElementDefinition;
import com.rs.lic.LicenseVerificationException;

/**
 * @author Ignacio
 *
 */
public class SampleAddNewConcept {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws XBRLInconsistentDTSException {
		try {
			DTSContainer dts = DTSContainer.newEmptyContainer();
			XBRLTaxonomy tx = (XBRLTaxonomy)dts.load(new URI("taxonomy.xsd"));
			
			XBRLXSDTypeDefinition monetaryType = dts.getTypeDefinition(new QName(XBRL.XBRL_instanceNS,"monetaryItemType"));			
			QName itemSg = new QName(XBRL.XBRL_instanceNS,"item");

			// Create the new concept definition.
			// due to the reason the first argument is the taxonomy, the new concept
			// definition will be added automatically.			
			new XBRLItem(
					tx,
					"conceptB",
					null,
					monetaryType,
					itemSg,
					XBRLItem.PeriodType.INSTANT,
					XBRLItem.BalanceType.NO_BALANCE,
					false,
					true,
					XMLElementDefinition.UNDEFINED,
					XMLElementDefinition.UNDEFINED,
					null);
			
			// save the taxonomy file to disk
			tx.save(/*true*/);
			
		} catch (DTSDiscoveryException e) {
			e.printStackTrace();
		} catch (LicenseVerificationException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		} catch (XBRLSerializationException e) {
			e.printStackTrace();
		} catch (Throwable e) {
			e.printStackTrace();
		}
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
