/*
 *  2009 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2009 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 13/05/2009
 */
/**
 * 
 */
package com.ihr.xbrl.sample;

import java.net.URI;
import java.net.URISyntaxException;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.errors.DTSDiscoveryException;
import com.ihr.xbrl.om.errors.XBRLSerializationException;
import com.ihr.xbrl.om.taxonomy.XBRLTaxonomy;
import com.rs.lic.LicenseVerificationException;

/**
 * @author Ignacio
 *
 */
public class SampleChangeTaxonomyFileName {

	/**
	 * Demonstrates how to change a taxonomy file name and save the
	 * DTS back to disk.
	 * 
	 * All locator elements in the linkbases are changed during the
	 * serialization of the DTS
	 * 
	 * @param args
	 */
	public static void main(String args[]) {		
		try {
			DTSContainer dts = DTSContainer.newEmptyContainer();
			XBRLTaxonomy tx = (XBRLTaxonomy)dts.load(new URI("taxonomy.xsd"));
			
			// Modify the document URI
			tx.setURI(new URI("new_taxonomy.xsd"));
			
			// Save all files in the DTS. This automatically changes the locators in all
			// linkbases to point to the new taxonomy file
			dts.save(/*true*/);
			
			System.exit(0);
		} catch (DTSDiscoveryException e) {
			e.printStackTrace();
		} catch (LicenseVerificationException e) {
			e.printStackTrace();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		} catch (XBRLSerializationException e) {
			e.printStackTrace();
		}
		
	}
}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
