/*
 *  2014 by Ignacio Hernandez-Ros.
 *
 * This file is property of Reporting Standard S.L. and shall not be used outside the company unless you
 * have written permissions for different purposes.
 *
 * If you have received this file from Reporting Standard, you may have the following permissions:
 *
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2014 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 17/06/2014
 */
package com.ihr.xbrl.sample;

import java.io.File;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XBRLValidationReport;
import com.ihr.xbrl.validation.report.XBRLValidationReportToExcel;

/**
 * @author Ignacio
 *
 */
public class SampleGenerateExcelValidationReport {

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		
		File fReport = new File("ReportWithCalculationInconsistency.xbrl");
		
		DTSContainer dts = DTSContainer.newEmptyContainer();
		
		dts.load(fReport.toURI());
		XBRLValidationReport rep = dts.validate();
		
		File fExcel = new File("ValidationReport.xlsx");
		XBRLValidationReportToExcel transformer = new XBRLValidationReportToExcel(fExcel.toURI());
		transformer.serialize(rep);
	}

}
