/*
 *  2009 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2009 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 26/06/2009
 */
/**
 * 
 */
package com.ihr.xbrl.sample;

import java.io.File;
import java.net.URI;
import java.util.Iterator;
import java.util.Properties;

import org.apache.log4j.Level;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.instance.XBRLFact;
import com.ihr.xbrl.om.instance.XBRLInstance;
import com.ihr.xbrl.util.TimeUtils;
import com.ihr.xbrl.om.instance.XBRLContext;

/**
 * Sample, a new instance document is read form the file received as a parameter
 * After the instance object is obtained, the user can start working with it
 * 
 * @author Ignacio
 */
@SuppressWarnings("unused")
public class SampleReadInstance {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {	
		System.setProperty("user.language", "en");
		if (args.length == 0) {
			args = new String[1];
			args[0] = "instance.xbrl";
		}
		Properties pros = new Properties();
		DTSContainer dts = DTSContainer.newEmptyContainer(pros);
		
		URI fUri = null;
		if (args[0].startsWith("http")) // covers http and https
			fUri = new URI(args[0]);
		else
			new File(args[0]).toURI();
		
		long t0 = System.currentTimeMillis();
		XBRLInstance instance = (XBRLInstance)dts.load(fUri);
		long t1 = System.currentTimeMillis();
		// ... rest of the application code goes here
		System.out.println(TimeUtils.toTime(t1-t0));
		
		Iterator<XBRLContext> iterC = instance.getInstanceRootNode().getContexts();
		while (iterC.hasNext()) {
			System.out.println("Context Id:"+iterC.next().getId());
		}
		
		Iterator<XBRLFact> iterF = instance.getInstanceRootNode().iterator();
		while (iterF.hasNext()) {
			XBRLFact f = iterF.next();
			// ... do dome work with the fact
		}
		
		
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
