/*
 *  2009 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2009 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 05/08/2009
 */
/**
 * 
 */
package com.ihr.xbrl.sample;

import java.net.URI;
import java.util.Iterator;

import javax.xml.namespace.QName;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XMLFragment;
import com.ihr.xbrl.om.exLinks.ReferenceLinkbase;
import com.ihr.xbrl.om.exLinks.XBRLRelationship;
import com.ihr.xbrl.om.exLinks.XBRLResource;
import com.ihr.xbrl.om.taxonomy.XBRLArcroleType;
import com.ihr.xbrl.om.taxonomy.XBRLItem;
import com.ihr.xbrl.om.taxonomy.XBRLTaxonomy;

/**
 * @author Ignacio
 *
 */
public class SampleReadReferenceLinkbase {

	/**
	 * @param args
	 * @throws Exception in case of any errors
	 */
	public static void main(String[] args) throws Exception {
		DTSContainer dts = DTSContainer.newEmptyContainer();

		// Load the taxonomy with reference taxonomy that has been created by SampleCreateReferenceLinkbase.java application 
		XBRLTaxonomy tx = (XBRLTaxonomy)dts.load(new URI("taxonomyWithReference.xsd"));
		
		String targetNamespace = tx.getTargetNamespace();
		
		// Get ConceptA form DTS
		XBRLItem conceptA = (XBRLItem)dts.getConcept(new QName(targetNamespace,"conceptA"));
		
		// get the concept_reference arcrole
		XBRLArcroleType concept_reference_arcrole = dts.getArcroleType(ReferenceLinkbase.concept_reference_arcrole_URI).firstElement();
		Iterator<XBRLRelationship> iterR = conceptA.getFromRelationships(concept_reference_arcrole);
		while (iterR.hasNext()) {
			XBRLRelationship rel = iterR.next();
			
			XBRLResource res = (XBRLResource)rel.getTo();
			
			int n=0;
			Iterator<XMLFragment> resourceContentIterator = res.getElements();
			while (resourceContentIterator.hasNext()) {
				XMLFragment part = resourceContentIterator.next();
				
				System.out.println("Part "+n+"\n"+part.toString());
				n++;
			}
		}
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
