package com.ihr.xbrl.sample;

import java.io.FileInputStream;
import java.io.IOException;
import java.net.URISyntaxException;
import java.util.Properties;

import javax.xml.transform.stream.StreamSource;

import net.sf.saxon.s9api.SaxonApiException;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XBRLCoreProcessor;
import com.ihr.xbrl.om.XBRLValidationReport;
import com.ihr.xbrl.om.errors.DTSDiscoveryException;
import com.ihr.xbrl.om.errors.XBRLInitializationException;
import com.ihr.xbrl.om.errors.XBRLValidationException;
import com.ihr.xbrl.om.xdt.XDTProcessor;
import com.rs.lic.LicenseVerificationException;

public class StreamSourceXBRL {
	
	public static void main(String[] args) throws URISyntaxException, IOException, SaxonApiException {
		
		try{
			
		FileInputStream fstream = new FileInputStream("GPB_NewDate.xbrl");
		StreamSource source = new StreamSource(fstream);
		Properties props = new Properties();
		props.setProperty(DTSContainer.ALWAYS_ADD_ref_2006_02_27_xsd_SCHEMA_TO_DTS, "true");
		props.setProperty(DTSContainer.PROCESSORS_SEQUENCE, XBRLCoreProcessor.PROCESSORNAME+" "+XDTProcessor.PROCESSORNAME);
		props.setProperty(DTSContainer.LOG_LEVEL, "DEBUG");
		DTSContainer dts = DTSContainer.newEmptyContainer();
		source.setSystemId("http://iicast.com/taxonomies/myInstanceDocument.xbrl");
	    //source.setSystemId("D:/TEST-TEXONOMY/GPB/in-rbi-rep-2009-02-06.xsd");
	    System.out.println("DTSDiscover process");
		dts.load(source);
		XBRLValidationReport report = dts.validate();
		report.throwExceptions();
		fstream.close();
		}
		catch (DTSDiscoveryException e) {
			// TODO: handle exception
			System.out.println("DTSDiscovery Exceptions:");
			e.printStackTrace();
		}
		catch (LicenseVerificationException e) {
			// TODO: handle exception
			System.out.println("License verification exceptions:");
			e.printStackTrace();
		}
		catch (XBRLInitializationException e) {
			// TODO: handle exception
			e.printStackTrace();
		}
		catch (XBRLValidationException e) {
			// TODO: handle exception
			System.out.println(" Instance Validation Exceptions:");
			e.printStackTrace();
		}
   }
}
