/*
 *  2014 by Ignacio Hernandez-Ros.
 *
 * This file is property of Reporting Standard S.L. and shall not be used outside the company unless you
 * have written permissions for different purposes.
 *
 * If you have received this file from Reporting Standard, you may have the following permissions:
 *
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2014 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 28/05/2014
 */
package com.ihr.xbrl.sample;

import javax.xml.namespace.QName;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XMLFragment;
import com.ihr.xbrl.om.xdt.XDTProcessor;

/**
 * @author Ignacio
 *
 */
public class TestCreateTypedDimensionMember {
 
	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		
		/*
	      <xbrldi:typedMember dimension="s2c_dim:CF">
	        <s2c_typ:ID>ESf3</s2c_typ:ID>
	      </xbrldi:typedMember>
		*/
		
		
		// create the XMLFragment that will be the typed dimension member.
		DTSContainer dts = DTSContainer.newEmptyContainer();
		//dts.load(...);
		
		String s2c_typ_NS = "http://www.s2c.org/typed/Namespace";
		String s2c_dim_NS = "http://www.s2c.org/dimension/Namespace";
		
		XMLFragment member = new XMLFragment(dts);
		member.setNodeName(new QName(s2c_typ_NS,"ID","s2c_typ"));
		member.setValue(new net.sf.saxon.value.StringValue("ESf3"));
		
		XDTProcessor.getTypedDimFragment(dts, new QName(s2c_dim_NS,"CF","s2c_dim"), member);
		
		
	}

}
