/*
 *  2007 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2007 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 30/12/2007
 */
/**
 * 
 */
package com.ihr.xbrl.sample;

import java.net.URI;
import java.util.Iterator;

import javax.xml.namespace.QName;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.xdt.XDTDimensionalPrimaryItem;
import com.ihr.xbrl.om.xdt.XDTInfosetConsumer;
import com.ihr.xbrl.om.xdt.XDTProcessor;

/**
 * @author Ignacio
 *
 */
public class XDTInfosetAnalyzer {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		
		DTSContainer dts = DTSContainer.newEmptyContainer();
		URI dtsURI = new URI(args[0]);
		dts.load(dtsURI);
		
		XDTProcessor xdt = XDTProcessor.create(dts);
		
		XDTInfosetConsumer xdti = new XDTInfosetConsumer(xdt);
		
		// now show the valid combinations for each primary item in the DTS
		Iterator<QName> iterP = xdti.getPrimaryItems();
		while (iterP.hasNext()) {
			QName q = iterP.next();
			
			// Skip namespaces always
			XDTDimensionalPrimaryItem dpi = xdti.getPrimaryItem(q);
			System.out.println(dpi.toString());
			if (iterP.hasNext())
				System.out.print("\n");
		}
		
		System.exit(0);
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
