/*
 *  2011 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2011 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 20/11/2011
 */
/**
 * 
 */
package com.rs.xbrl.demo.library;

import com.ihr.xbrl.om.XBRLLibraryFactory;
import com.ihr.xbrl.om.errors.XBRLValidationException;
import com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibrary;
import com.rs.lic.LicenseVerificationException;

/**
 * This is the sample factory class for creating instances of the Custom Library functions
 * 
 * @author Ignacio
 *
 */
public class FunctionsLibraryFactory implements XBRLLibraryFactory {

	/* (non-Javadoc)
	 * @see com.ihr.xbrl.om.XBRLLibraryFactory#getLibraryName()
	 */
	@Override
	public String getLibraryName() {
		return "SampleCustomLibrary";
	}

	/* (non-Javadoc)
	 * @see com.ihr.xbrl.om.XBRLLibraryFactory#create()
	 */
	@Override
	public XBRLRSCustomFunctionLibrary create()	throws LicenseVerificationException, XBRLValidationException {
		return new CustomFunctionLibrary();
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
