/*
 *  2011 by Ignacio Hernandez-Ros.
 * This work may be reproduced and redistributed, in whole or in part, 
 * without alteration and without prior written permission, 
 * solely by educational institutions for nonprofit administrative 
 * or educational purposes provided all copies contain the 
 * following statement: 
 * " 2011 Ignacio Hernandez-Ros. This work is reproduced and distributed with the permission of Ignacio Hernandez-Ros. No other use is permitted without the express prior written permission of Ignacio Hernandez-Ros. For permission, contact ignacio@hernandez-ros.com"
 *
 * File creation date 15/09/2011
 */
/**
 * 
 */
package com.rs.xbrl.demo.validation.rundemo;

import java.io.FileOutputStream;
import java.net.URI;
import java.util.Properties;

import com.ihr.xbrl.om.DTSContainer;
import com.ihr.xbrl.om.XBRLCoreProcessor;
import com.ihr.xbrl.om.XBRLValidationReport;
import com.ihr.xbrl.validation.report.XBRLValidationReportToExcel;
import com.rs.xbrl.demo.validation.DemoValidator;

/**
 * Runs the demo test
 * 
 * @author Ignacio
 *
 */
public class Main {
	
	public static void main(String args[]) throws Exception {
		
		Properties props = new Properties();
		
		// this tells the XBRL processor that the DemoValidator shall be added to the processors sequence.
		// the processors sequence consist of 2 processors:
		//  the XBRL2.1 Core Processor
		//  the DemoValidator Processor
		props.setProperty(DTSContainer.PROCESSORS_SEQUENCE, XBRLCoreProcessor.PROCESSORNAME+","+DemoValidator.PROCESSORNAME);
		
		// Now create an empty DTSContainer
		DTSContainer dts = DTSContainer.newEmptyContainer(props);
		
		URI testcaseURI = new URI("testcases_custom_validation/test.xbrl");
		dts.load(testcaseURI);
		
		XBRLValidationReport report = dts.validate();		
		FileOutputStream fos = new FileOutputStream("Validation.xlsx");
		XBRLValidationReportToExcel.serializeToOutputStream(report, fos, true, null);
		fos.close();
	}

}

//
// This software is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is Ignacio Hernandez-Ros.
//
// Contributor(s): none.
